Duckduckgo
DuckDuckGo: web search, images, news, videos.
Returns web search results for term.
Price: $0.0005 per item
Minimum charge: $0.005 per request (10 items)
Your current plan discount applies to the total. The minimum applies once per request, even when fewer items are returned. maxItems limits requested results; it does not lower the minimum billable count.
openaius-enPossible values: moderatePossible values: Successful request
3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24200OKtrueBad request
Insufficient balance
Not found
GET /duckduckgo/search?term=text®ion=wt-wt&safeSearch=off HTTP/1.1
Host: api.pullbay.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"requestId": "3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24",
"status": 200,
"message": "OK",
"success": true,
"data": [
{
"title": "OpenAI",
"description": "We believe our research will eventually lead to artificial general intelligence, a system that can solve human-level problems.",
"hostname": "openai.com",
"icon": "https://external-content.duckduckgo.com/ip3/openai.com.ico",
"url": "https://openai.com/"
}
],
"pricing": {
"currency": "USD",
"amountCharged": "0.005000",
"billableItems": 10
}
}Returns image search results for term.
Price: $0.0005 per item
Minimum charge: $0.005 per request (10 items)
Your current plan discount applies to the total. The minimum applies once per request, even when fewer items are returned. maxItems limits requested results; it does not lower the minimum billable count.
catus-enPossible values: moderatePossible values: Successful request
3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24200OKtrueBad request
Insufficient balance
Not found
GET /duckduckgo/images?term=text®ion=wt-wt&safeSearch=off HTTP/1.1
Host: api.pullbay.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"requestId": "3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24",
"status": 200,
"message": "OK",
"success": true,
"data": [
{
"title": "Wallpaper Cat Photos, Download The BEST Free Wallpaper Cat Stock Photos",
"image": "https://images.pexels.com/photos/20331914/pexels-photo-20331914.jpeg",
"thumbnail": "https://tse1.mm.bing.net/th/id/OIP.oOmFm8pcnPy1pVPS46kxfQHaE8?r=0&pid=Api",
"image_token": "a8b8c30ef6de5362d93dd6f5848ec661ae916727695b7e944138db4a60c5f6ca",
"thumbnail_token": "036492c962e7830bd485903527a6caf439793418572197fbf6a743a8255f594b",
"width": 6000,
"height": 4000,
"source": "Bing",
"url": "https://www.pexels.com/search/Wallpaper%20cat/"
}
],
"pricing": {
"currency": "USD",
"amountCharged": "0.005000",
"billableItems": 10
}
}Returns news articles for term. Use time to limit recency (a=any, d=day, w=week, m=month, y=year).
Price: $0.0005 per item
Minimum charge: $0.005 per request (10 items)
Your current plan discount applies to the total. The minimum applies once per request, even when fewer items are returned. maxItems limits requested results; it does not lower the minimum billable count.
technologyus-enPossible values: moderatePossible values: Successful request
3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24200OKtrueBad request
Insufficient balance
Not found
GET /duckduckgo/news?term=text®ion=wt-wt&safeSearch=off HTTP/1.1
Host: api.pullbay.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"requestId": "3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24",
"status": 200,
"message": "OK",
"success": true,
"data": [
{
"title": "Why Marvell Technology Stock Just Dropped",
"excerpt": "Why Marvell's mad at Poet. Seems somebody let the cat out of the bag too soon...",
"url": "https://www.fool.com/investing/2026/04/27/why-marvell-technology-stock-just-dropped/",
"image": "https://g.foolcdn.com/image/?url=https%3A%2F%2Fg.foolcdn.com%2Feditorial%2Fimages%2F867388%2F5-red-stock-market-arrows-pointing-down.jpg",
"date": 1777303200,
"relativeTime": "21 hours ago",
"syndicate": "bing",
"isOld": false
}
],
"pricing": {
"currency": "USD",
"amountCharged": "0.005000",
"billableItems": 10
}
}Returns video search results for term.
Price: $0.0005 per item
Minimum charge: $0.005 per request (10 items)
Your current plan discount applies to the total. The minimum applies once per request, even when fewer items are returned. maxItems limits requested results; it does not lower the minimum billable count.
cookingus-enPossible values: moderatePossible values: Successful request
3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24200OKtrueBad request
Insufficient balance
Not found
GET /duckduckgo/videos?term=text®ion=wt-wt&safeSearch=off HTTP/1.1
Host: api.pullbay.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"requestId": "3b8dcb68-1f8c-4a7b-b9e7-63a7b9986f24",
"status": 200,
"message": "OK",
"success": true,
"data": [
{
"title": "Gordon Ramsay's Top Basic Cooking Skills | Ultimate Cookery Course FULL EPISODE",
"description": "Gordon Ramsay demonstrates some basic cooking skills as well as some easy to do recipes.",
"url": "https://www.youtube.com/watch?v=FTociictyyE",
"image": "https://tse4.mm.bing.net/th/id/OVP.dTE0hC-DCsYuM6UsczwKpgHgFo?pid=Api",
"duration": "23:03",
"publishedOn": "YouTube",
"published": "2019-11-07T17:00:05.0000000",
"publisher": "Gordon Ramsay",
"viewCount": 9252292
}
],
"pricing": {
"currency": "USD",
"amountCharged": "0.005000",
"billableItems": 10
}
}Last updated